Bug 104735 - gconfd has some very bad error handling.
gconfd has some very bad error handling.
Product: Red Hat Linux Beta
Classification: Retired
Component: GConf2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2003-09-19 18:44 EDT by Bill Nottingham
Modified: 2014-03-16 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-04 01:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2003-09-19 18:44:59 EDT
For a period of a couple weeks on one of my crash boxes, every time I logged in,
I had no configuration, a pile of error dialogs, and *no* fonts (i.e., all the
dialogs were blank.)

The cause of this was:

Sep 19 18:18:02 apone gconfd (notting-1894): Failed to get lock for daemon,
exiting: Failed to lock '/home/devel/notting/tmp/gconfd-notting/lock/ior': probably
another process has the lock, or your operating system has NFS file locking
misconfigured (Resource temporarily unavailable)

i.e., gconfd had an error when starting, and then *exited*, with no user-visible
error message. Shouldn't there be some sort of error message printed to the user
so they can have some help debugging the problem?
Comment 1 Havoc Pennington 2003-09-19 18:51:17 EDT
gconfd doesn't have an X connection, how can it display a dialog?
it logs the exact error to syslog, you just have to look... ;-)

All the apps _did_ display a dialog...

gconf-sanity-check-2 should have been run at login and should have detected this
error, also. If that didn't happen we could check why.

Assuming the problem was a stale lock file.
Comment 2 Bill Nottingham 2003-09-19 18:53:55 EDT
Yes, but the dialogs are completely useless when you have no fonts.

Does gconf-sanity-check-2 print any messages? Or log anything?
Comment 3 Havoc Pennington 2003-09-19 19:05:54 EDT
sanity-check-2 opens a dialog if there's a DISPLAY otherwise prints to stderr.

If there's no fonts that's not something gconf can fix, maybe
gnome-settings-daemon needs to verify that the setting is present, and if not
have an emergency fallback.
Comment 4 Bill Nottingham 2003-09-19 19:11:57 EDT
sanity-check-2 did not open a dialog, apparently.
Comment 5 Bill Nottingham 2003-09-26 18:18:29 EDT
It's back in this state again if you want to play.
Comment 6 Havoc Pennington 2003-10-04 01:47:51 EDT
I think the fixes here are:
 - make gnome-settings-daemon etc. have sanity checks on font size
 - don't use a TMPDIR on NFS ;-) you are breaking my workaround-nfs-locking-sucks
 - more pervasive gconf fixes, http://www.gnome.org/projects/gconf/plans.html

So closing this particular bug.

Note You need to log in before you can comment on or make changes to this bug.